curl --request PATCH \
--url https://backendapi.cloud.corbado.io/v2/users/{userID}/identifiers/{identifierID} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://backendapi.cloud.corbado.io/v2/users/{userID}/identifiers/{identifierID}"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://backendapi.cloud.corbado.io/v2/users/{userID}/identifiers/{identifierID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifierID": "ide-4693224802260150919",
"type": "email",
"value": "jane@doe.com",
"status": "pending",
"userID": "usr-4693224802260150919"
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}Update a login identifier for a user
Updates a login identifier (e.g. from pending to verified) for a user by given userID and identifierID.
Required API key permission: identifiers:write.
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Management Console.
Path Parameters
Unique identifier of the user. Format: usr-<number>.
"usr-4693224802260150919"
Unique identifier of the login identifier (e.g., email address or phone number). Format: ide-<number>.
"ide-4693224802260150919"
Body
pending, primary, verified Response
Identifier has been updated.
Unique identifier of the login identifier.
"ide-4693224802260150919"
email, phone, username Value of the identifier (here email address).
"jane@doe.com"
pending, primary, verified Unique identifier of the user.
"usr-4693224802260150919"
Was this page helpful?